GNU bug report logs - #38410
[PATCH] gnu: glusterfs: Update to 7.0

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Andrew Miloradovsky <andrew@HIDDEN>; Keywords: patch; Done: Ludovic Courtès <ludo@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 38410-done <at> debbugs.gnu.org:


Received: (at 38410-done) by debbugs.gnu.org; 8 Dec 2019 02:37:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 07 21:37:45 2019
Received: from localhost ([127.0.0.1]:50001 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1idmS9-0005xG-00
	for submit <at> debbugs.gnu.org; Sat, 07 Dec 2019 21:37:45 -0500
Received: from eggs.gnu.org ([209.51.188.92]:37873)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1idmS7-0005x4-EY
 for 38410-done <at> debbugs.gnu.org; Sat, 07 Dec 2019 21:37:43 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:38956)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1idjH9-0000Ho-Ry; Sat, 07 Dec 2019 18:14:15 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=54314 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1idjH4-00014g-Sl; Sat, 07 Dec 2019 18:14:09 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Andrew Miloradovsky <andrew@HIDDEN>
Subject: Re: [bug#38410] [PATCH] gnu: glusterfs: Update to 7.0
References: <20191128080629.9888-1-andrew@HIDDEN>
Date: Sun, 08 Dec 2019 00:14:03 +0100
In-Reply-To: <20191128080629.9888-1-andrew@HIDDEN> (Andrew
 Miloradovsky's message of "Thu, 28 Nov 2019 11:06:29 +0300")
Message-ID: <87lfrnsp8k.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38410-done
Cc: 38410-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Andrew,

Andrew Miloradovsky <andrew@HIDDEN> skribis:

> * gnu/packages/file-systems.scm (glusterfs): from 3.10.12 to 7.0
>     [arguments]: run ./autogen.sh, fix python, force enable unit tests
>     [native-inputs]: +libtirpc +rpcsvc-proto +auto{conf,make} +libtool
>     [inputs]: -lvm2 -sqlite +fuse +libaio +rdma-core

I fixed the URL, adjusted the commit log to match our conventions and
committed.

Note that your patch modified the indentation; I=E2=80=99ve restored it, wh=
ich
makes the diff clearer.

Thanks,
Ludo=E2=80=99.




Notification sent to Andrew Miloradovsky <andrew@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Ludovic Courtès <ludo@HIDDEN>:
You have taken responsibility. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Nov 2019 08:13:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 28 03:13:02 2019
Received: from localhost ([127.0.0.1]:56564 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iaEv7-0002HB-KT
	for submit <at> debbugs.gnu.org; Thu, 28 Nov 2019 03:13:01 -0500
Received: from lists.gnu.org ([209.51.188.17]:39144)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andrew@HIDDEN>) id 1iaEv5-0002H3-53
 for submit <at> debbugs.gnu.org; Thu, 28 Nov 2019 03:12:59 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:40986)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <andrew@HIDDEN>) id 1iaEv3-0007ku-Ci
 for guix-patches@HIDDEN; Thu, 28 Nov 2019 03:12:58 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.1 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_LOW,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <andrew@HIDDEN>) id 1iaEpy-0007xs-TZ
 for guix-patches@HIDDEN; Thu, 28 Nov 2019 03:07:45 -0500
Received: from relay8-d.mail.gandi.net ([217.70.183.201]:51855)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <andrew@HIDDEN>)
 id 1iaEpy-0007o8-Jn
 for guix-patches@HIDDEN; Thu, 28 Nov 2019 03:07:42 -0500
X-Originating-IP: 109.73.36.242
Received: from localhost.localdomain (109-73-36-242.in-addr.mastertelecom.ru
 [109.73.36.242]) (Authenticated sender: andrew@HIDDEN)
 by relay8-d.mail.gandi.net (Postfix) with ESMTPSA id 56FF61BF204;
 Thu, 28 Nov 2019 08:07:37 +0000 (UTC)
From: Andrew Miloradovsky <andrew@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: glusterfs: Update to 7.0
Date: Thu, 28 Nov 2019 11:06:29 +0300
Message-Id: <20191128080629.9888-1-andrew@HIDDEN>
X-Mailer: git-send-email 2.23.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-GND-Spam-Score: 165
X-GND-Status: SPAM
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 217.70.183.201
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
Cc: Andrew Miloradovsky <andrew@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

* gnu/packages/file-systems.scm (glusterfs): from 3.10.12 to 7.0
    [arguments]: run ./autogen.sh, fix python, force enable unit tests
    [native-inputs]: +libtirpc +rpcsvc-proto +auto{conf,make} +libtool
    [inputs]: -lvm2 -sqlite +fuse +libaio +rdma-core
---
 gnu/packages/file-systems.scm | 119 ++++++++++++++++------------------
 1 file changed, 56 insertions(+), 63 deletions(-)

diff --git a/gnu/packages/file-systems.scm b/gnu/packages/file-systems.scm
index 85bfd8dd38..019c39bd8b 100644
--- a/gnu/packages/file-systems.scm
+++ b/gnu/packages/file-systems.scm
@@ -41,6 +41,7 @@
   #:use-module (gnu packages flex)
   #:use-module (gnu packages glib)
   #:use-module (gnu packages linux)
+  #:use-module (gnu packages onc-rpc)
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages python)
   #:use-module (gnu packages readline)
@@ -145,73 +146,65 @@ non-determinism in the build process.")
 
 (define-public glusterfs
   (package
-    (name "glusterfs")
-    (version "3.10.12")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (string-append "https://download.gluster.org/pub/gluster/glusterfs/"
-                           (version-major+minor version) "/" version
-                           "/glusterfs-" version ".tar.gz"))
-       (sha256
-        (base32
-         "01ysvamvfv2l5pswa1rygpg8w0954h2wkh1ba97h3nx03m5n0prg"))
-       (patches
-        (search-patches "glusterfs-use-PATH-instead-of-hardcodes.patch"))))
-    (build-system gnu-build-system)
-    (arguments
-     `(#:configure-flags
-       (let ((out (assoc-ref %outputs "out")))
-         (list (string-append "--with-initdir=" out "/etc/init.d")
-               (string-append "--with-mountutildir=" out "/sbin")))
-       #:phases
-       (modify-phases %standard-phases
-         (add-before 'configure 'replace-config.sub
-           (lambda* (#:key inputs #:allow-other-keys)
-             ;; The distributed config.sub is intentionally left empty and
-             ;; must be replaced.
-             (install-file (string-append (assoc-ref inputs "automake")
-                                          "/share/automake-"
-                                          ,(version-major+minor (package-version automake)) "/config.sub")
-                           ".")
-             #t))
-         ;; Fix flex error.  This has already been fixed with upstream commit
-         ;; db3fe245a9e8812829eae7d143e49d0bfdfef9a7, but is not available in
-         ;; current releases.
-         (add-before 'configure 'fix-lex
-           (lambda _
-             (substitute* "libglusterfs/src/Makefile.in"
-               (("libglusterfs_la_LIBADD = @LEXLIB@")
-                "libglusterfs_la_LIBADD ="))
-             #t)))))
-    (native-inputs
-     `(("cmocka" ,cmocka)
-       ("pkg-config" ,pkg-config)
-       ("python-2" ,python-2) ; must be version 2
-       ("flex" ,flex)
-       ("bison" ,bison)
-       ("automake" ,automake)))
-    (inputs
-     `(("acl" ,acl)
-       ;; GlusterFS fails to build with libressl because HMAC_CTX_new and
-       ;; HMAC_CTX_free are undefined.
-       ("openssl" ,openssl)
-       ("liburcu" ,liburcu)
-       ("libuuid" ,util-linux)
-       ("libxml2" ,libxml2)
-       ("lvm2" ,lvm2)
-       ("readline" ,readline)
-       ("sqlite" ,sqlite) ; for tiering
-       ("zlib" ,zlib)))
-    (home-page "https://www.gluster.org")
-    (synopsis "Distributed file system")
-    (description "GlusterFS is a distributed scalable network file system
+   (name "glusterfs")
+   (version "7.0")
+   (source
+    (origin
+     (method url-fetch)
+     (uri (string-append "https://download.gluster.org/pub/gluster/glusterfs/"
+                         (version-major+minor version) "/"
+                         "glusterfs-" version ".tar.gz"))
+     (sha256
+      (base32
+       "0yzhx710ypj0j3m5dcgmmgvkp7p0rmmp2p7ld0axrm4vpwc2b1wa"))))
+   (build-system gnu-build-system)
+   (arguments
+    `(#:configure-flags
+      (let ((out (assoc-ref %outputs "out"))
+            (p2 (assoc-ref %build-inputs "python-2")))
+        (list (string-append "PYTHON=" p2 "/bin/python")
+              (string-append "--with-initdir=" out "/etc/init.d")
+              (string-append "--with-mountutildir=" out "/sbin")
+              "--enable-cmocka"  ; unit tests
+              ;; "--enable-debug"  ; debug build options
+              ;; "--enable-asan"  ; Address Sanitizer
+              ;; "--enable-tsan"  ; ThreadSanitizer
+              ))
+      #:phases
+      (modify-phases %standard-phases
+                     (add-before 'configure 'autogen
+                                 (lambda _ (invoke "./autogen.sh"))))))
+   (native-inputs
+    `(("pkg-config" ,pkg-config)
+      ("libtirpc", libtirpc)
+      ("rpcsvc-proto", rpcsvc-proto)
+      ("python-2" ,python-2) ; must be version 2
+      ("flex" ,flex)
+      ("bison" ,bison)
+      ("libtool" ,libtool)
+      ("autoconf" ,autoconf)
+      ("automake" ,automake)
+      ("cmocka" ,cmocka)))
+   (inputs
+    `(("acl" ,acl)
+      ("fuse", fuse)
+      ("openssl" ,openssl)
+      ("liburcu" ,liburcu)
+      ("libuuid" ,util-linux)
+      ("libxml2" ,libxml2)
+      ("readline" ,readline)
+      ("zlib" ,zlib)
+      ("libaio", libaio)
+      ("rdma-core", rdma-core)))
+   (home-page "https://www.gluster.org")
+   (synopsis "Distributed file system")
+   (description "GlusterFS is a distributed scalable network file system
 suitable for data-intensive tasks such as cloud storage and media streaming.
 It allows rapid provisioning of additional storage based on your storage
 consumption needs.  It incorporates automatic failover as a primary feature.
 All of this is accomplished without a centralized metadata server.")
-    ;; The user may choose either LGPLv3+ or GPLv2 only.
-    (license (list license:lgpl3+ license:gpl2+))))
+   ;; The user may choose either LGPLv3+ or GPLv2 only.
+   (license (list license:lgpl3+ license:gpl2+))))
 
 (define-public curlftpfs
   (package
-- 
2.23.0





Acknowledgement sent to Andrew Miloradovsky <andrew@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#38410; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 8 Dec 2019 02:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.